# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::VLXTaggedValue Class Reference

Base class for VLX values with a tag. More...

`#include <VLXValue.hpp>`

Inheritance diagram for vl::VLXTaggedValue:

List of all members.

## Public Member Functions

| VLXTaggedValue (const char *tag=NULL)
virtual | ~VLXTaggedValue ()
int | lineNumber () const
void | setLineNumber (int line)
virtual void | acceptVisitor (VLXVisitor *)=0
void | setTag (const char *tag)
const std::string & | tag () const

## Detailed Description

Base class for VLX values with a tag.

Definition at line 41 of file VLXValue.hpp.

## Constructor & Destructor Documentation

vl::VLXTaggedValue::VLXTaggedValue | ( | const char * | tag = `NULL` ) | `[inline]`

Definition at line 46 of file VLXValue.hpp.

References tag().

virtual vl::VLXTaggedValue::~VLXTaggedValue | ( | ) | `[inline, virtual]`

Definition at line 52 of file VLXValue.hpp.

## Member Function Documentation

int vl::VLXTaggedValue::lineNumber | ( | ) | const`[inline]`

Definition at line 54 of file VLXValue.hpp.

Referenced by vl::VLXClassWrapper_GLSLShader::importGLSLShader(), vl::VLXClassWrapper_Uniform::importUniform(), vl::VLXClassWrapper_ActorEventCallback::importVLX(), vl::VLXClassWrapper_DrawCall::importVLX(), vl::VLXClassWrapper_VertexAttribInfo::importVLX(), vl::VLXClassWrapper_Array::importVLX(), and vl::vlx_mat4().

void vl::VLXTaggedValue::setLineNumber | ( | int | line ) | `[inline]`

Definition at line 56 of file VLXValue.hpp.

Referenced by vl::VLXParserVLT::parseList(), and vl::VLXParserVLT::parseStructure().

virtual void vl::VLXTaggedValue::acceptVisitor | ( | VLXVisitor * | ) | `[pure virtual]`

Implemented in vl::VLXRawtextBlock, vl::VLXArrayInteger, vl::VLXArrayReal, vl::VLXStructure, and vl::VLXList.

void vl::VLXTaggedValue::setTag | ( | const char * | tag ) | `[inline]`

Definition at line 60 of file VLXValue.hpp.

References tag().

Referenced by vl::VLXParserVLT::parseList(), vl::VLXParserVLB::parseList(), vl::VLXParserVLB::parseStructure(), and vl::VLXStructure::VLXStructure().

const std::string& vl::VLXTaggedValue::tag | ( | ) | const`[inline]`

Definition at line 62 of file VLXValue.hpp.

Referenced by vl::VLXSerializer::canImport(), vl::VLXVisitorLinkMapper::declareID(), vl::import_AABB(), vl::import_Sphere(), vl::VLXClassWrapper_ActorEventCallback::importVLX(), vl::VLXClassWrapper_GLSLShader::importVLX(), vl::VLXClassWrapper_LODEvaluator::importVLX(), vl::VLXClassWrapper_DrawCall::importVLX(), vl::VLXClassWrapper_VertexAttribInfo::importVLX(), vl::VLXClassWrapper_Array::importVLX(), vl::VLXSerializer::importVLX(), setTag(), vl::VLXVisitorExportToVLT::visitArray(), vl::VLXVisitorExportToVLB::visitArray(), vl::VLXVisitorExportToVLT::visitList(), vl::VLXVisitorExportToVLB::visitList(), vl::VLXVisitorExportToVLT::visitStructure(), vl::VLXVisitorExportToVLB::visitStructure(), vl::VLXVisitorExportToVLT::visitValue(), vl::vlx_mat4(), VLXTaggedValue(), and vl::VLXVisitorExportToVLB::writeValue().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/VLXValue.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:18.
Permission is granted to use this page to write and publish articles regarding Visualization Library.